Subject: Re: [ftpext] HOST back to FTPEXT2 WG for more review

From: Robert McMurray <[email-masked]>
Date: Fri, 16 Sep 2011 17:48:34 +0000

Hi Alun,

Sorry, I somehow missed your message amidst all of the discussions that happened in July while I was on vacation.

While I wouldn't think that it would be a best practice, I don't think that there's a problem with a HOST command preceded by an AUTH command. As you indicated, there may be reasons to hide the HOST command and use the AUTH->HOST->USER->PASS syntax, but that does introduce some problems with certificate matching. In general, I would think that if someone is trying to hide their credentials or their data then HOST->AUTH->USER->PASS would normally be used.

Thanks again!
--Robert

> -----Original Message-----
> From: Alun Jones
> Sent: Monday, July 25, 2011 9:58 PM
> To: Robert McMurray; [email-masked]
> Subject: Re: [ftpext] HOST back to FTPEXT2 WG for more review
> 
> Calling HOST _after_ AUTH - is that deliberately undefined behaviour?
> 
> I can imagine a scenario where a somewhat public gateway FTP server feeds
> to a number of more private backend FTP servers, where it's not considered
> a good idea to publicise which server you're eventually connecting to.
> 
> Alun.
> ~~~~